#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios::sync_with_stdio(false);
    cin.tie(0);
    int x,y;
    cin>>x>>y;
    long long ans=0;
    while(x>0 || y>0)
    {
        if(x==0)
        {
            ans=ans*10+(y%10);
            y/=10;
        }
        else if(y==0)
        {
            ans=ans*10+(x%10);
            x/=10;
        }
        else
        {
            if((x%10)>(y%10))
                ans=ans*10+(x%10);
            else if((x%10)<(y%10))
                ans=ans*10+(y%10);
            else
            {
                ans=ans*10+(x%10);
                ans=ans*10+(y%10);
            }
            x/=10;
            y/=10;
        }
    }

    long long ans2=0;

    while(ans)
    {
        ans2=ans2*10+(ans%10);
        ans/=10;
    }
    cout<<ans2;

    return 0;
}